Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 782412 - media-video/ffdiaporama-2.2_pre20140701-r2 fails to compile (error: ‘AVStream’ {aka ‘struct AVStream’} has no member named ‘probe_data’; did you mean ‘priv_data’?)
Summary: media-video/ffdiaporama-2.2_pre20140701-r2 fails to compile (error: ‘AVStream...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: laurantino
URL:
Whiteboard: ffmpeg 4.4?
Keywords: PullRequest
Depends on:
Blocks: CVE-2021-30123
  Show dependency tree
 
Reported: 2021-04-12 07:34 UTC by Agostino Sarubbo
Modified: 2021-04-28 06:42 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,782.01 KB, text/plain)
2021-04-12 07:34 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-04-12 07:34:52 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: media-video/ffdiaporama-2.2_pre20140701-r2 fails to compile.
Discovered on: amd64 (internal ref: tinderbox)
Comment 1 Agostino Sarubbo gentoo-dev 2021-04-12 07:34:55 UTC
Created attachment 699354 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-04-12 07:34:56 UTC
Possible context of error(s):

engine/_EncodeVideo.cpp:134:46: error: ‘AVStream’ {aka ‘struct AVStream’} has no member named ‘probe_data’; did you mean ‘priv_data’?
Comment 3 Sam James archtester gentoo-dev Security 2021-04-12 07:35:13 UTC
New ffmpeg issue?
Comment 4 laurantino 2021-04-15 20:30:03 UTC
I confirm it is related to ffmpeg 4.4 (probe_data has been removed from the public API).
The error is located in a portion of code which is now useless so it is easy to fix.
I will submit a pull request as soon as I can.
Comment 5 jospezial 2021-04-15 22:39:52 UTC
Stale project since 2014.
Is it really needed or can we discard it? ;-)
Comment 6 laurantino 2021-04-16 05:25:56 UTC
Good question ! ;-)
i am just patching it as proxy maintainer but I am not using it very often and do not know if there are people using it.
I would see no problem to keep it in my local repo.
I let you decide!
Comment 7 Sam James archtester gentoo-dev Security 2021-04-16 06:12:57 UTC
(In reply to laurantino from comment #6)
> Good question ! ;-)
> i am just patching it as proxy maintainer but I am not using it very often
> and do not know if there are people using it.
> I would see no problem to keep it in my local repo.
> I let you decide!

Nah, if it’s an easy fix, do a PR
Comment 8 Joonas Niilola gentoo-dev 2021-04-16 06:22:12 UTC
(In reply to laurantino from comment #6)
> Good question ! ;-)
> i am just patching it as proxy maintainer but I am not using it very often
> and do not know if there are people using it.

You are using it. That's enough for us. Please make the fix available for anyone else who might use it, do a good deed for the community ;)
Comment 9 laurantino 2021-04-16 09:35:17 UTC
No problem!
I am actually waiting for an answer from Jonas Stein, because all ffdiaporama patches atre stored in his gentoo dev space. But as the patch is very small, maybe I can just add it to filesdir if it is ok to have a mix of distdir and filesdir for patches ?
Comment 10 Joonas Niilola gentoo-dev 2021-04-16 09:57:07 UTC
(In reply to laurantino from comment #9)
> No problem!
> I am actually waiting for an answer from Jonas Stein, because all
> ffdiaporama patches atre stored in his gentoo dev space. But as the patch is
> very small, maybe I can just add it to filesdir if it is ok to have a mix of
> distdir and filesdir for patches ?

The limit for filesdir files is 20 kb - you can put it in there if it's 20 kb or lower. 

You can also host them in your own Github / Gitlab, and add to SRC_URI.

You most likely can also download the upstream commit / PR .patch file directly.
Comment 11 Larry the Git Cow gentoo-dev 2021-04-28 06:42:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76c303fed8e00caf287d4dcb86ca53be19f7a24f

commit 76c303fed8e00caf287d4dcb86ca53be19f7a24f
Author:     Olivier Laurantin <olivier.laurantin@laposte.net>
AuthorDate: 2021-04-16 13:22:56 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-04-28 06:42:01 +0000

    media-video/ffdiaporama: ffmpeg-4.4 compatibility
    
    Add a patch for ffmpeg-4.4 compatibility
    Move patches to proxy maintainer github
    
    Closes: https://bugs.gentoo.org/782412
    Signed-off-by: Olivier Laurantin <olivier.laurantin@laposte.net>
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Closes: https://github.com/gentoo/gentoo/pull/20408
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 media-video/ffdiaporama/Manifest                              |  1 +
 media-video/ffdiaporama/ffdiaporama-2.2_pre20140701-r2.ebuild | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)